Create File

POSThttps://bank.dattaremit.com/api/files

Requires a bank-scoped key.

Creates a file.

## Data

The attribute contains the base64 encoded file content. The value needs to be smaller than 10MB otherwise the Platform will reject the request. To upload files larger than 10MB do not provide the content and use the returned upload URL to provide the file.

## State

StateDescription
storingThe Platform is storing the file in our private store
completedThe Platform has completed storing the file
failedThe Platform failed to store the file

Required scope: files:execute

Body Params

required
typedrivers_license_front | drivers_license_back | drivers_license | passport | passport_card | visa | identification_card | residence_card | work_permit | indigenous_id_document | selfie | selfie_video | selfie_left | selfie_right | utility_bill | proof_of_address | bank_statement | property_tax | tax_document | ein_letter | incorporation_certificate | invoice | purchase_order | delivery_slip | contract | bill_of_lading | others | persona_inquiry_report | persona_inquiry_exportrequired

The type of file.

customer_guidstringrequired

The customer identifier.

filenamestringrequired

The name of the file.

content_typeimage/jpeg | image/png | application/pdf | application/json | video/mp4required

The content type of the file.

datastring

Base64 encoded file content

metadataobject

File metadata (e.g., {"part": "front"})

partfront | back

The part of the file (e.g., "front", "back")

Responses

201

file created

400

Invalid requests

401

Unauthorized - Authentication failed

403

Invalid scope

Request

curl https://api.dattaremit.com/api/files \
  -X POST \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "type": "drivers_license_front",
  "customer_guid": "string",
  "filename": "string",
  "content_type": "image/jpeg",
  "data": "string",
  "metadata": {
    "part": "front"
  }
}'

Response

file created

{
  "guid": "string",
  "organization_guid": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "type": "string",
  "content_type": "string",
  "filename": "string",
  "completed_at": "2026-07-20T16:27:51.438Z",
  "failed_at": "2026-07-20T16:27:51.438Z",
  "state": "storing",
  "failure_code": "string",
  "upload_url": "https://api.yourapp.com/webhooks",
  "upload_expires_at": "2026-07-20T16:27:51.438Z",
  "download_url": "https://api.yourapp.com/webhooks",
  "download_expires_at": "2026-07-20T16:27:51.438Z"
}